#
# Conditional build:
%bcond_without	doc			# don't build ri/rdoc

%define		pkgname	sqlite3
Summary:	SQLite3 module for Ruby
Summary(pl.UTF-8):	Moduł SQLite3 dla Ruby
Name:		ruby-sqlite3
Version:	1.3.9
Release:	7
License:	GPL
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	7b7d8efe8af40a627090d3b257231453
URL:		https://github.com/sparklemotion/sqlite3-ruby
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby-modules
BuildRequires:	sqlite3-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SQLite3 module for Ruby.

%description -l pl.UTF-8
Moduł SQLite3 dla Ruby.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4
# noarch subpackages only when building with rpm5
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby
# noarch subpackages only when building with rpm5
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# write .gemspec
%__gem_helper spec

cd ext/%{pkgname}
%{__ruby} extconf.rb
%{__make} \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags} -fPIC"

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorarchdir}/sqlite3,%{ruby_vendorlibdir},%{ruby_specdir}} \
	$RPM_BUILD_ROOT

cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}
install -p ext/sqlite3/sqlite3_native.so $RPM_BUILD_ROOT%{ruby_vendorarchdir}/sqlite3

%if %{with doc}
install -d $RPM_BUILD_ROOT{%{ruby_rdocdir}/%{name}-%{version},%{ruby_ridir}}
cp -a ext/sqlite3/ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a ext/sqlite3/rdoc/* $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%dir %{ruby_vendorarchdir}/sqlite3
%attr(755,root,root) %{ruby_vendorarchdir}/sqlite3/sqlite3_native.so
%{ruby_vendorlibdir}/sqlite3
%{ruby_vendorlibdir}/sqlite3.rb
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%if %{with doc}
%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}
%endif
%changelog
* Sun Jun 03 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-sqlite3.git;a=log;h=master

* Sun Jun 03 2018 Jan Rękorajski <baggins@pld-linux.org> 9a5b40c
- rebuild with ruby 2.4
- release 7 (by relup.sh)

* Thu Oct 26 2017 Elan Ruusamäe <glen@pld-linux.org> a4a015f
- rebuild with fixed ridir
- release 6 (by relup.sh)

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> 77b8f70
- release 5 (by relup.sh)

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> 6566b08
- rebuild with ruby 2.3
- release 4 (by relup.sh)

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> 441aa2f
- noarch rdoc/ri; add doc bcond

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> 10bcf0d
- ruby 2.1 rebuild
- release 3 (by relup.sh)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 96d5ead
- x32 rebuild
- release 2 (by relup.sh)

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> 186b18b
- removed obsolete patch

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> 454e181
- updated to 1.3.9

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> 8976397
- Revert "- die, duplicate, die"

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> b233a61
- die, duplicate, die
- the proper package is sqlite3-ruby

* Sat Aug 30 2008 aredridel <aredridel@pld-linux.org> 22fc7ed
- add threadmutex patch

* Sat Aug 30 2008 aredridel <aredridel@pld-linux.org> fb7986e
- added

* Fri Aug 29 2008 aredridel <aredridel@pld-linux.org> d0bcce0
- 1.2.4

* Sun May 04 2008 twittner <twittner@pld-linux.org> 2981fc9
- up to 1.2.1
- update setup.rb requiremnts to 3.4.1
  (resolves `sqlite3.h, ruby.h not found' and so on rubbish)
- move files to ruby*vendor*dir, update rpm-build-macros req. to 1.142

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 510d4ba
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 21aa000
- converted to UTF-8

* Mon Jan 09 2006 Jakub Bogusz <qboosh@pld-linux.org> af600a5
- mention "3" in descs

* Sat Jan 07 2006 aredridel <aredridel@pld-linux.org> 6ffa305
- BR: swig-ruby

* Sat Jan 07 2006 aredridel <aredridel@pld-linux.org> 53017da
- added

